kr.co.hanwha.hifive.enums

## Enum TaskEvaluationType

- java.lang.Object
- - java.lang.Enum<TaskEvaluationType>
  - - kr.co.hanwha.hifive.enums.TaskEvaluationType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TaskEvaluationType>

    public enum TaskEvaluationType
    extends java.lang.Enum<TaskEvaluationType>

평가 값 정의

Created by sanghoonkwon on 2018. 1. 29..

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CANCELED`
`GREEN`
`GREY` 취소
`NONE` 평가전
`NULL`
`RED`
`STAR_ONE`
`STAR_THREE`
`STAR_TWO`
`YELLOW`

### Field Summary

Fields
`private int` `mType`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()`
`static TaskEvaluationType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TaskEvaluationType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NULL

    public static final TaskEvaluationType NULL

#### NONE

    public static final TaskEvaluationType NONE

평가전

#### GREEN

    public static final TaskEvaluationType GREEN

#### YELLOW

    public static final TaskEvaluationType YELLOW

#### RED

    public static final TaskEvaluationType RED

#### GREY

    public static final TaskEvaluationType GREY

취소

#### STAR_THREE

    public static final TaskEvaluationType STAR_THREE

#### STAR_TWO

    public static final TaskEvaluationType STAR_TWO

#### STAR_ONE

    public static final TaskEvaluationType STAR_ONE

#### CANCELED

    public static final TaskEvaluationType CANCELED

### Field Detail

#### mType

    private int mType

### Method Detail

#### values

    public static TaskEvaluationType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TaskEvaluationType c : TaskEvaluationType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TaskEvaluationType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getCode

    public int getCode()